Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.quartz
Enum Trigger.CompletedExecutionInstruction

    java.lang.Object
      java.lang.Enum<Trigger.CompletedExecutionInstruction>
          org.quartz.Trigger.CompletedExecutionInstruction

All Implemented Interfaces:
  Serializable, Comparable<Trigger.CompletedExecutionInstruction>

Enclosing interface:
  Trigger

    public static enum Trigger.CompletedExecutionInstruction

extends Enum<Trigger.CompletedExecutionInstruction>

`NOOP` Instructs the ``Scheduler`` that the ``Trigger`` has no further instructions.

`RE_EXECUTE_JOB` Instructs the ``Scheduler`` that the ``Trigger`` wants the ``JobDetail`` to re-execute immediately. If not in a 'RECOVERING' or 'FAILED_OVER' situation, the execution context will be re-used (giving the `Job` the ability to 'see' anything placed in the context by its last execution).

`SET_TRIGGER_COMPLETE` Instructs the ``Scheduler`` that the ``Trigger`` should be put in the `COMPLETE` state.

`DELETE_TRIGGER` Instructs the ``Scheduler`` that the ``Trigger`` wants itself deleted.

`SET_ALL_JOB_TRIGGERS_COMPLETE` Instructs the ``Scheduler`` that all `Trigger`s referencing the same ``JobDetail`` as this one should be put in the `COMPLETE` state.

`SET_TRIGGER_ERROR` Instructs the ``Scheduler`` that all `Trigger`s referencing the same ``JobDetail`` as this one should be put in the `ERROR` state.

`SET_ALL_JOB_TRIGGERS_ERROR` Instructs the ``Scheduler`` that the `Trigger` should be put in the `ERROR` state.

Enum Constant Summary
`DELETE_TRIGGER`
`NOOP`
`RE_EXECUTE_JOB`
`SET_ALL_JOB_TRIGGERS_COMPLETE`
`SET_ALL_JOB_TRIGGERS_ERROR`
`SET_TRIGGER_COMPLETE`
`SET_TRIGGER_ERROR`

Method Summary
`static Trigger.CompletedExecutionInstruction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Trigger.CompletedExecutionInstruction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOOP

    public static final Trigger.CompletedExecutionInstruction NOOP

### RE_EXECUTE_JOB

    public static final Trigger.CompletedExecutionInstruction RE_EXECUTE_JOB

### SET_TRIGGER_COMPLETE

    public static final Trigger.CompletedExecutionInstruction SET_TRIGGER_COMPLETE

### DELETE_TRIGGER

    public static final Trigger.CompletedExecutionInstruction DELETE_TRIGGER

### SET_ALL_JOB_TRIGGERS_COMPLETE

    public static final Trigger.CompletedExecutionInstruction SET_ALL_JOB_TRIGGERS_COMPLETE

### SET_TRIGGER_ERROR

    public static final Trigger.CompletedExecutionInstruction SET_TRIGGER_ERROR

### SET_ALL_JOB_TRIGGERS_ERROR

    public static final Trigger.CompletedExecutionInstruction SET_ALL_JOB_TRIGGERS_ERROR

Method Detail

### values

    public static Trigger.CompletedExecutionInstruction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Trigger.CompletedExecutionInstruction c : Trigger.CompletedExecutionInstruction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Trigger.CompletedExecutionInstruction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2013, Terracotta, Inc.